Bug 94585 - mail/mailagent 'basic/config' test hangs on FreeBSD-6 amd64
mail/mailagent 'basic/config' test hangs on FreeBSD-6 amd64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Masafumi Max NAKANE
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 04:40 UTC by kasahara
Modified: 2006-05-08 07:49 UTC (History)
0 users

See Also:


Attachments
file.diff (298 bytes, patch)
2006-03-17 04:40 UTC, kasahara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kasahara 2006-03-17 04:40:15 UTC
Building mail/mailagent hangs during running tests (basic/config). 
'filter' process starts to eat all the CPU and doesn't respond to SIGTERM.
SIGKILL works as usual.  On i386 platform there is no such behaviour.  
If I replace 'filter' binary by i386's one, the test passes.

Further investigation reveals that the following code causes SEGV on amd64, but not on i386.

--------------------------
#include <stdio.h>

int main()
{
   printf("%s\n",strerror(2));
   exit(0);
}
--------------------------

Adding "#include <string.h>" solves the problem.

logfile.c in agent/filter doesn't include string.h, and it seems to cause an infininte loop during its signal handling.

I'm not an expert of C programming, so I'm not sure whether it is a bug of
FreeBSD amd64 itself or including string.h is mandatory.

Fix: Add the following file to patch directory of the port.
How-To-Repeat: make /usr/ports/mail/mailagent as an ordinary user on FreeBSD-6 amd64.
Comment 1 Edwin Groothuis freebsd_committer 2006-03-17 04:44:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->max

Over to maintainer
Comment 2 Mark Linimon freebsd_committer 2006-04-15 01:28:42 UTC
Responsible Changed
From-To: max->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Masafumi Max NAKANE freebsd_committer 2006-05-08 07:47:47 UTC
State Changed
From-To: open->closed

The submitted patch has been added to the repository.  Thanks!! and sorry for the delay! 


Comment 4 Masafumi Max NAKANE freebsd_committer 2006-05-08 07:47:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->max

Max reclaims the maintainership and applied the suggested fix.